glob_args Struct Reference

## Data Fields

void(* | func )(const char *, VALUE, void *)
const char * | path
VALUE | value
rb_encoding * | enc

## Detailed Description

Definition at line 1279 of file dir.c.

## Field Documentation

rb_encoding* glob_args::enc

Definition at line 1283 of file dir.c.

Referenced by glob_func_caller(), push_glob(), rb_glob2(), and ruby_brace_expand().

void(* glob_args::func)(const char *, VALUE, void *)

Definition at line 1280 of file dir.c.

Referenced by glob_func_caller(), push_glob(), and rb_glob2().

const char* glob_args::path

Definition at line 1281 of file dir.c.

Referenced by glob_func_caller(), and rb_glob_caller().

VALUE glob_args::value

Definition at line 1282 of file dir.c.

Referenced by glob_func_caller(), push_glob(), and rb_glob2().

The documentation for this struct was generated from the following file:

- dir.c